'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var ExtractTextPlugin = _interopDefault(require('extract-text-webpack-plugin'));

function handle(ref) {
  if ( ref === void 0 ) ref = {};
  var loader = ref.loader;
  var cssLoader = ref.cssLoader; if ( cssLoader === void 0 ) cssLoader = 'css-loader?-autoprefixer';
  var fallbackLoader = ref.fallbackLoader; if ( fallbackLoader === void 0 ) fallbackLoader = 'style-loader';
  var test = ref.test; if ( test === void 0 ) test = /\.css$/;
  var env = ref.env;

  var prod = (process.env.NODE_ENV === 'production') || (env === 'production');

  var loaders = [cssLoader];

  if (Array.isArray(loader)) {
    loaders = loaders.concat( loader);
  } else if (loader) {
    loaders = loaders.concat( [loader]);
  }

  if (prod) {
    return {
      loader: ExtractTextPlugin.extract({
        fallbackLoader: fallbackLoader,
        loader: loaders
      }),
      test: test
    }
  }
  return {
    loaders: [fallbackLoader ].concat( loaders),
    test: test
  }
}

handle.vue = function (options) {
  options = Object.assign({
    fallbackLoader: 'vue-style-loader'
  }, options);
  var ref = handle(options);
  var loader = ref.loader;
  var loaders = ref.loaders;
  if (loader) {
    return loader
  }
  return loaders.join('!')
};

module.exports = handle;
